summaryrefslogtreecommitdiffstats
path: root/scripts/t-rex-64
diff options
context:
space:
mode:
authorHanoh Haim <hhaim@cisco.com>2016-03-27 14:17:14 +0300
committerHanoh Haim <hhaim@cisco.com>2016-03-27 14:17:14 +0300
commitd9001d53cf1a0e9bf66cfe805c71bb6927c6ca85 (patch)
treeb2d7b8fdbb2570402b43ed441083d2d5fd710d2d /scripts/t-rex-64
parent3f32ebdefe99fd44a8de76adf19b9e6d1ded5777 (diff)
t-rex-64 script return exit value to upper script
Diffstat (limited to 'scripts/t-rex-64')
-rwxr-xr-xscripts/t-rex-648
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/t-rex-64 b/scripts/t-rex-64
index 0516d7da..c18db43f 100755
--- a/scripts/t-rex-64
+++ b/scripts/t-rex-64
@@ -19,14 +19,22 @@ saveterm="$(stty -g)"
# if we have a new core run optimized trex
if cat /proc/cpuinfo | grep -q avx ; then
./_$(basename $0) $INPUT_ARGS
+ RESULT=$?
if [ $? -eq 132 ]; then
echo " WARNING this program is optimized for the new Intel processors. "
echo " try the ./t-rex-64-o application that should work for any Intel processor but might be slower. "
echo " try to run t-rex-64-o .. "
./_t-rex-64-o $INPUT_ARGS
+ RESULT=$?
fi
else
./_t-rex-64-o $INPUT_ARGS
+ RESULT=$?
fi
stty $saveterm
+if [ $RESULT -ne 0 ]; then
+ exit $RESULT
+fi
+
+